libzypp 17.38.15

susetags.h File Reference
`#include <zypp/RepoInfo.h>`
`#include <zypp/ng/repo/Downloader>`
`#include <zypp-core/ng/async/task.h>`
`#include <zypp-core/ng/pipelines/Expected>`
`#include <zypp/ManagedFile.h>`

Go to the source code of this file.

## Namespaces
namespace | zyppng
namespace | zyppng::SuseTagsWorkflows
| Download workflow namespace for SUSETags (YaST2) repositories Encapsulates all the knowledge of which files have to be downloaded to the local disk and how to calculate the repo status.

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ProgressObserver)
MaybeAwaitable< expected< zypp::RepoStatus > > | zyppng::SuseTagsWorkflows::repoStatus (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle)
MaybeAwaitable< expected< repo::DownloadContextRef > > | zyppng::SuseTagsWorkflows::download (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver)